Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1089381 - Reboot button is not disabled for VM pools
Summary: Reboot button is not disabled for VM pools
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Martin Betak
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-18 15:21 UTC by Pavel Novotny
Modified: 2015-02-17 08:28 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0-alpha2
Doc Type: Bug Fix
Doc Text:
Cause: The reboot button was not disabled in the userportal for pools. Consequence: It was possible to click it, although no action resulted. Fix: Disabled button for pools. It is not possible to "reboot pool".
Clone Of:
Environment:
Last Closed: 2015-02-17 08:28:39 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screen: enabled Reboot button on pool (deleted)
2014-04-18 15:21 UTC, Pavel Novotny
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27981 master MERGED userportal: Disable Reboot Command on Vm Pools Never

Description Pavel Novotny 2014-04-18 15:21:55 UTC
Created attachment 887604 [details]
screen: enabled Reboot button on pool

Description of problem:
The reboot action is relevant only to VMs, but in User Portal (aka Basic view) and Power User Portal (aka Extended view) the Reboot button is enabled also for VM pools.

Version-Release number of selected component (if applicable):
rhevm-3.4.0-0.13.beta3.el6ev.noarch (av6)

How reproducible:
100%

Steps to Reproduce:
1. Have a VM pool accessible from (Power) User Portal.
2. Check if the Reboot button on the VM pool is enabled/disabled. Applies for both, Basic view and Extended view.
3. 

Actual results:
The Reboot button is enabled (but clicking on it of course doesn't trigger any action).
See attached screenshots.

Expected results:
The Reboot button should be always disabled (gray) for VM pool(s).

Additional info:

Comment 1 Lukas Svaty 2014-08-07 08:38:00 UTC
verified in ovirt-3.5.0-beta2

Comment 2 Omer Frenkel 2015-02-17 08:28:39 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.